# network meter rule

A meter rule sets the rule for a meter to measure traffic for a specific IP range. The following uses meter and requires the L3 metering extension.

Network v2

## network meter rule create

Create a new meter rule

    openstack network meter rule create
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--project <project>]
        [--project-domain <project-domain>]
        [--exclude | --include]
        [--ingress | --egress]
        [--remote-ip-prefix <remote-ip-prefix>]
        [--source-ip-prefix <remote-ip-prefix>]
        [--destination-ip-prefix <remote-ip-prefix>]
        <meter>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--exclude

  Exclude remote IP prefix from traffic count

--include

  Include remote IP prefix from traffic count (default)

--ingress

  Apply rule to incoming network traffic (default)

--egress

  Apply rule to outgoing network traffic

--remote-ip-prefix <remote-ip-prefix>

  The remote IP prefix to associate with this rule

--source-ip-prefix <remote-ip-prefix>

  The source IP prefix to associate with this rule

--destination-ip-prefix <remote-ip-prefix>

  The destination IP prefix to associate with this rule

meter

  Label to associate with this metering rule (name or ID)

## network meter rule delete

Delete meter rule(s)

    openstack network meter rule delete
        <meter-rule-id>
        [<meter-rule-id> ...]

meter-rule-id

  Meter rule to delete (ID only)

## network meter rule list

List meter rules

    openstack network meter rule list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

## network meter rule show

Display meter rules details

    openstack network meter rule show <meter-rule-id>

meter-rule-id

  Meter rule (ID only)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.